/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Commissural Fibers
 */
public enum EnumCV_CommissuralFibers {

	//Commissural Fibers - CID 7705
	ANTERIOR_COMMISSURE_T_A2980("T-A2980"),
	CORPUS_CALLOSUM_T_A2700("T-A2700"),
	GENU_OF_CORPUS_CALLOSUM_T_A2730("T-A2730"),
	SPLENIUM_OF_CORPUS_CALLOSUM_T_A2710("T-A2710"),
	TAPETUM_OF_CORPUS_CALLOSUM_T_A2781("T-A2781"),
	FORCEPS_MINOR_T_A2760("T-A2760"),
	FORCEPS_MAJOR_T_A2750("T-A2750"),
	POSTERIOR_COMMISSURE_T_A2790("T-A2790"),
	HABENULAR_COMMISSURE_T_A4950("T-A4950");

	private String value;

	EnumCV_CommissuralFibers(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
